package org.codehaus.plexus.redback.authentication;
/*
 * Copyright 2005 The Codehaus.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * EntityAuthenticationException.java
 *
 * @author Dan Diephouse
 * @since $Id: NotAuthenticatedException.java 692 2009-01-11 13:48:13Z olamy $
 */
public class NotAuthenticatedException
    extends Exception
{
    /**
     * Constructor EntityAuthenticationException.
     */
    public NotAuthenticatedException()
    {
    }

    /**
     * Constructor EntityAuthenticationException.
     *
     * @param message
     */
    public NotAuthenticatedException( String message )
    {
        super( message );
    }

    /**
     * Constructor EntityAuthenticationException.
     *
     * @param message
     * @param cause
     */
    public NotAuthenticatedException( String message, Exception cause )
    {
        super( message, cause );
    }
}
